SFML 3.1.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Event::JoystickMoved Struct Reference

Joystick axis move event subtype. More...

`#include <SFML/Window/Event.hpp>`

## Public Attributes
unsigned int | joystickId {}
| Index of the joystick (in range [0 .. Joystick::Count - 1]).
Joystick::Axis | axis {}
| Axis on which the joystick moved.
float | position {}
| New position on the axis (in range [-100 .. 100]).

## Detailed Description

Joystick axis move event subtype.

Definition at line 237 of file Event.hpp.

## Member Data Documentation

## ◆ axis

Joystick::Axis sf::Event::JoystickMoved::axis {}

Axis on which the joystick moved.

Definition at line 240 of file Event.hpp.

## ◆ joystickId

unsigned int sf::Event::JoystickMoved::joystickId {}

Index of the joystick (in range [0 .. Joystick::Count - 1]).

Definition at line 239 of file Event.hpp.

## ◆ position

float sf::Event::JoystickMoved::position {}

New position on the axis (in range [-100 .. 100]).

Definition at line 241 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp